Bug 205699 - connection between scim and application stops randomly
connection between scim and application stops randomly
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
Reported: 2006-09-07 20:24 EDT by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 04:09:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2006-09-07 20:24:48 EDT
Description of problem:
As discussed, it is prolly best to submit a bug to gain wider exposure.

This symptom has been noticed a while ago and confirmed during QA Event, where a
number of users has noticed this bug on numerous occassion.

Version-Release number of selected component (if applicable):
before scim-1.4.4-34.fc6 

How reproducible:
Not 100%

Steps to Reproduce:
1.normal usage of IM over a period of time on Gtk Apps
Actual results:
Connection between scim and apps gets cut off, as a result, no IME available.
Select IME from scim icon on systray will re-establish the connection again.

Expected results:
Connection should be persistant

Additional info:
The frequency is much higher on vnc, Jens had seen it once. ;-)
Comment 1 Ryo Dairiki 2006-09-10 09:06:14 EDT
That time, is the agent down?
If it's down, what error is shown in dsmg?
Please move into a virtual terminal and check it.
Comment 2 Lawrence Lim 2006-09-10 20:12:14 EDT
Thanks for the tips Ryo-san. I will watch out for these error message. 
Comment 3 Ryo Dairiki 2006-09-11 11:43:02 EDT
Btw, you can get the corefile if the agent is crashed.
It will help us to solve this problem. :)

1. Make a shell script "scim-bridge" as follows:


ulimic -c unlimited
exec /usr/bin/scim-bridge

2. Install the script into /usr/local/bin/

3. Patch "scim-bridge-agent.cpp" as follows and make install it:

retval_t ScimBridgeAgentImpl::launch ()
    scim_bridge_pdebugln (5, "launch ()");
        } else {
            // This is the child process.
-            if (chdir ("/")) {
+            if (chdir ("/tmp")) {
                scim_bridge_perrorln ("Cannot change the working directory: %s",
strerror (errno));
                return RETVAL_FAILED;
            close (0);
            close (1);
            close (2);

        scim_bridge_pdebugln (5, "Daemonize done");

4. Logout once, and relogin.

5. Wait until the agent crashes.
Comment 4 Jens Petersen 2006-09-18 05:35:42 EDT
Is this any better with scim-bridge-0.4.5?
Comment 5 Jens Petersen 2006-10-18 04:09:01 EDT
Closing for now.  Please reopen if you still see this.

Note You need to log in before you can comment on or make changes to this bug.